Product
Support
Everything Else
Minimum System Requirements
Helix 7.0

Helix RADE: macOS 10.6 and higher

Helix Engine: macOS 10.6 and higher

Helix Server: macOS 10.6 and higher

Helix Client: macOS 10.6 and higher

Helix Utility : macOS 10.6 and higher

Helix 6.2.x

Helix RADE: macOS 10.5 and higher

Helix Engine: macOS 10.5 and higher

Helix Server: macOS 10.6 and higher (Versions 6.2–6.2.1 are compatible with macOS 10.5–10.8.5 only)

Helix Client (Intel & PowerPC): macOS 10.4 and higher (Versions 6.2–6.2.1 are compatible with macOS 10.5–10.8.5 only)

Helix Utility: macOS 10.5 and higher

Update Collection is incorporated directly into Helix 6.2, and is no longer being updated.

Helix Scripting is incorporated directly into Helix 6.2, and is no longer being updated.

Helix 6.1.x

Server (Intel): OS X 10.5 through 10.8.5

Server (PowerPC): OS X 10.4 through 10.6.8

Client (Intel): OS x 10.5 through 10.8.5

Client (PowerPC): OS X 10.4 through 10.6.8

Client (Classic): Mac OS 9.1 through macOS 10.4.11 (with Classic Mode)
Client runs in Classic Mode in macOS 10.1 through 10.4.11.

Engine (Intel): OS X 10.5 and higher

Engine (PowerPC): OS X 10.4 through 10.6.x

RADE Classic: Macintosh OS 9.1 through macOS 10.4.11.
RADE runs in Classic Mode in OS X 10.1 through 10.4.11.

Helix Utility and Update Collection
PowerPC: OS X 10.3 through 10.6.x
Classic: Mac OS 9.1 thru 9.2.2

As covered in this Apple Technote, macOS 10.7 and later do not include support for PowerPC applications. Only products specifically labeled “Intel” or “Universal” are compatible with macOS 10.7 and later.

Helix 6.0.x

Server: Macintosh macOS 10.3 through 10.6.x

RADE, Client, and Engine: Macintosh OS 9.1 through 10.4.11
Compatible with Classic Mode in macOS 10.1 through macOS 10.4.11

Helix Utility and Update Collection
PowerPC: Macintosh macOS 10.3 through 10.6.x
Classic: Mac OS 9.1 thru 9.2.2

As covered in this Apple Technote, macOS 10.5 and later do not include support for the Classic environment.

Helix 5.3.x

RADE and Engine: Macintosh OS 8.6 through 10.4.11

Client: Macintosh OS 9.1 through 10.4.11
Compatible with Classic Mode in macOS 10.1 through macOS 10.4.11

Server: Macintosh OS 9.1 through 9.2.2
Not compatible with macOS or Classic mode

Hardware Guidelines:
Power PC 601 or higher
G3 or higher recommended for Helix Server
RADE: 12MB free RAM (minimum)*
Server:18MB free RAM (minimum)*

Helix 5.2.x

RADE, Client, and Engine: Macintosh OS 8.6 through 10.4.11
Compatible with Classic Mode in macOS 10.1 through macOS 10.4.11

Server: Macintosh OS 8.6-9.2.2
Not compatible with macOS or Classic mode

Hardware Guidelines:
Power PC 601 or higher
G3 or higher recommended for Helix Server
RADE: 12MB free RAM (minimum)*
Server:18MB free RAM (minimum)*

Helix 5.1.x

RADE, Client, and Engine: Macintosh OS 8.1 and higher.
Compatible with Classic Mode in macOS 10.1 through macOS 10.4.11

Server: Macintosh OS 8.5-9.2.2
Not compatible with macOS or Classic mode

Hardware Guidelines:
Power PC 601 or higher
G3 or higher recommended for Helix Server
RADE: 12MB free RAM (minimum)*
Server:18MB free RAM (minimum)*

Helix 5.0.x

RADE, Client, and Engine: Macintosh OS 8.1 and higher.
Not fully compatible with in Classic Mode in macOS 10.1 through macOS 10.4.11

Server: Macintosh OS 8.1-9.2.2
Not compatible with macOS or Classic mode

Hardware Guidelines:
Power PC 601 or higher
G3 or higher recommended for Helix Server
RADE: 12MB free RAM (minimum)*
Server:18MB free RAM (minimum)*

Helix 4.5.x

All products: Macintosh OS 7.5.5 through 9.2.2
Not fully compatible with OS 8.6 and higher

Hardware Guidelines:
Power PC 601 or higher
(Helix Client supports MC68030 or higher)
RADE: 11MB free RAM (minimum)*
Server:17MB free RAM (minimum)*